Rename lxc_namespace.h to namespace.h

Signed-off-by: Daniel Lezcano <daniel.lezcano@free.fr>
---
 src/lxc/Makefile.am     |    9 +++--
 src/lxc/lxc.h           |    4 +-
 src/lxc/lxc_namespace.h |   73 ------------------------------------------------
 src/lxc/lxc_unshare.c   |    2 -
 src/lxc/namespace.h     |    6 +--
 5 files changed, 11 insertions(+), 83 deletions(-)

Index: lxc/src/lxc/lxc.h
===================================================================
--- lxc.orig/src/lxc/lxc.h
+++ lxc/src/lxc/lxc.h
@@ -38,8 +38,8 @@ extern "C" {
 #include <lxc/lxc_conf.h>
 #include <lxc/lxc_log.h>
 #include <lxc/lxc_lock.h>
-#include <lxc/lxc_namespace.h>
-#include <lxc/lxc_utils.h>
+#include <lxc/namespace.h>
+#include <lxc/utils.h>
 #include <lxc/error.h>
 #include <lxc/cgroup.h>
 #include <lxc/monitor.h>
Index: lxc/src/lxc/Makefile.am
===================================================================
--- lxc.orig/src/lxc/Makefile.am
+++ lxc/src/lxc/Makefile.am
@@ -5,15 +5,16 @@ AM_LDFLAGS= -lutil
 lib_LTLIBRARIES = liblxc.la
 pkginclude_HEADERS = \
 		monitor.h \
+		utils.h \
+		namespace.h \
 		lxc.h \
 		lxc_cgroup.h \
 		lxc_conf.h \
 		lxc_list.h \
 		lxc_lock.h \
 		lxc_log.h \
-		lxc_namespace.h \
-		lxc_state.h \
-		lxc_utils.h
+		lxc_state.h
+
 
 liblxc_la_SOURCES = \
 	create.c \
@@ -32,7 +33,7 @@ liblxc_la_SOURCES = \
 	lxc.h \
 	lxc_utils.h \
 	lxc_lock.c lxc_lock.h \
-	lxc_namespace.h \
+	namespace.h \
 	lxc_conf.c lxc_conf.h \
 	lxc_list.h \
 	lxc_state.c lxc_state.h \
Index: lxc/src/lxc/lxc_namespace.h
===================================================================
--- lxc.orig/src/lxc/lxc_namespace.h
+++ /dev/null
@@ -1,73 +0,0 @@
-/*
- * lxc: linux Container library
- *
- * (C) Copyright IBM Corp. 2007, 2008
- *
- * Authors:
- * Daniel Lezcano <dlezcano at fr.ibm.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of the GNU Lesser General Public
- * License as published by the Free Software Foundation; either
- * version 2.1 of the License, or (at your option) any later version.
- *
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * Lesser General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
- */
-#ifndef __namespace_h
-#define __namespace_h
-
-#include <syscall.h>
-#ifndef CLONE_FS
-#  define CLONE_FS                0x00000200
-#endif
-#ifndef CLONE_NEWNS
-#  define CLONE_NEWNS             0x00020000
-#endif
-#ifndef CLONE_NEWUTS
-#  define CLONE_NEWUTS            0x04000000
-#endif
-#ifndef CLONE_NEWIPC
-#  define CLONE_NEWIPC            0x08000000
-#endif
-#ifndef CLONE_NEWUSER
-#  define CLONE_NEWUSER           0x10000000
-#endif
-#ifndef CLONE_NEWPID
-#  define CLONE_NEWPID            0x20000000
-#endif
-#ifndef CLONE_NEWNET
-#  define CLONE_NEWNET            0x40000000
-#endif
-#ifndef __NR_unshare
-#  ifdef __i386__
-#    define __NR_unshare 310
-#  elif __x86_64__
-#    define __NR_unshare 272
-#  elif __ia64__
-#    define __NR_unshare 1296
-#  elif __s390__
-#    define __NR_unshare 303
-#  elif __powerpc__
-#    define __NR_unshare 282
-#else
-#    error "unsupported architecture"
-#  endif
-#endif
-#if __i386__ || __x86_64__ || __powerpc__
-#   define fork_ns(flags) syscall(SYS_clone, flags|SIGCHLD, NULL)
-#elif __s390__
-#   define fork_ns(flags) syscall(SYS_clone, NULL, flags|SIGCHLD)
-#elif __ia64__
-#   define fork_ns(flags) syscall(SYS_clone2, flags|SIGCHLD, NULL)
-#else
-#   error "unsupported architecture"
-#endif
-#define unshare_ns(flags) syscall(__NR_unshare, flags, NULL)
-#endif
Index: lxc/src/lxc/namespace.h
===================================================================
--- lxc.orig/src/lxc/namespace.h
+++ lxc/src/lxc/namespace.h
@@ -61,13 +61,13 @@
 #  endif
 #endif
 #if __i386__ || __x86_64__ || __powerpc__
-#   define fork_ns(flags) syscall(SYS_clone, flags|SIGCHLD, NULL);
+#   define fork_ns(flags) syscall(SYS_clone, flags|SIGCHLD, NULL)
 #elif __s390__
 #   define fork_ns(flags) syscall(SYS_clone, NULL, flags|SIGCHLD)
 #elif __ia64__
-#   define fork_ns(flags) syscall(SYS_clone2, flags|SIGCHLD, NULL);
+#   define fork_ns(flags) syscall(SYS_clone2, flags|SIGCHLD, NULL)
 #else
 #   error "unsupported architecture"
 #endif
-#define unshare_ns(flags) syscall(__NR_unshare, flags, NULL);
+#define unshare_ns(flags) syscall(__NR_unshare, flags, NULL)
 #endif
Index: lxc/src/lxc/lxc_unshare.c
===================================================================
--- lxc.orig/src/lxc/lxc_unshare.c
+++ lxc/src/lxc/lxc_unshare.c
@@ -32,7 +32,7 @@
 #include <sys/wait.h>
 #include <pwd.h>
 
-#include "lxc_namespace.h"
+#include <lxc/lxc.h>
 
 void usage(char *cmd)
 {



